dpkg-source(1)

NAMN
dpkg-source - Verktyg för att manipulera Debiankällkodspaket (.dsc)

SYNOPS
dpkg-source [flagga...] åtgärd

BESKRIVNING
dpkg-source packar och packar upp Debiankällkodsarkiv. Inga av dessa kommandon tillåter att flera flaggor kombineras till ett, och de tillåter inte att värdet på en flagga anges som ett separat argument.

KOMMANDON

-x filnamn.dsc [utdatakatalog]
    Extrahera ett källkodspaket. Ett argument som inte är en flagga måste anges, namnet på debiankällkodsstyrfilen (.dsc). Ett valfritt andra argument som inte är en flagga kan anges för att bestämma vilken katalog källkoden skall packas upp i, det får inte existera. Om du inte anger någon utdatakatalog extraheras källkodspaketet till en katalog som heter källkod-version i den aktuella arbetskatalogen. dpkg-source läser namnen på de övriga filer som ingår i källkodspaketet från styrfilen; de antas vara i samma katalog som .dsc-filen. Filerna i det extraherade paketet kommer att ha behörighet och ägare satta till det som kunde förväntas om filerna och katalogerna bara hade skapats - kataloger och körbara filer kommer ha 0777 och enkla filer 0666, båda modifierade av uppackarens umask; om föräldrakatalogen är setgid kommer de extraherade katalogerna också att vara det, och samtliga filer och kataloger kommer ärva dess gruppägarskap. Om källkoden använder ett annat format än standardformatet (gäller för närvarande alla format förutom "1.0"), kommer dess namn att lagras som debian/source/format så att det används som standard när källkodspaketet byggs på nytt.

-b katalog [formatspecifika-flaggor]
    Bygg ett källkodpaket. Det första argumentet som inte är en flagga tas som namn på katalogen som innehåller det debianiserade källkodsträdet (dvs. med underkatalogen "debian" och kanske ändringar på originalfilerna). Beroende på vilket källkodspaketformat som används för att bygga formatet kan ytterligare parametrar kanske godtas. dpkg-source kommer bygga källkodspaketet med det första format som fungerar från denna lista i denna ordning: formatet som anges med kommandoradsflaggan --format, formatet som anges i debian/source/format, "1.0". Standardvärdet "1.0" rekommenderas ej och kommer att tas bort en gång i framtiden, du bör alltid dokumentera det önskade källkodsformatet i debian/source/format. Se avsnittet FORMAT PÅ KÄLLKODSPAKET för en utförlig beskrivning av de olika källkodspaketformaten.

--print-format katalog
    Visa formatet som skulle användas för att bygga källkodspaketet om dpkg-source -b katalog skulle köras (under samma förhållanden och med samma parametrar).

--before-build katalog
    Kör motsvarande krok för källkodspaketformatet. Kroken anropas innan något från paketet byggs (dpkg-buildpakcage anropar det väldigt tidigt, till och med före debian/rules clean). Kommandot är idempotent och kan anropas flera gånger. Det är inte alla källkodsformat som implementerar något i den här kroken, och de som gör det förbereder oftast källkodsträdet för att byggas, till exempel genom att se till att Debianpatchar har applicerats.

--after-build katalog
    Kör motsvarande krok för källkodspaketformatet. Kroken anropas efter att allt från paketet byggts (dpkg-buildpakcage anropar det sist). Kommandot är idempotent och kan anropas flera gånger. Det är inte alla källkodsformat som implementerar något i den här kroken, och de som gör det använder den normalt för att återställa det som --before-build har gjort.

--commit [katalog] ...
    Spara ändringar i källkodsträdet som har packats upp i katalog. Kommandot kan ta ytterligare parametrar beroende på källkodsformatet. Ett fel kommer rapporteras för format där operationen inte har någon betydelse.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

  Generic build options

-ccontrol-fil
    Anger huvudkällkodsstyrfil som information skall läsas från. Standardvärde är debian/control. Om ett relativt sökvägsnamn anges tolkas det från källkodsträdets toppnivåkatalog.

-ländringsloggfil
    Anger ändringsloggsfil som information skall läsas från. Standardvärde är debian/changelog. Om ett relativt sökvägsnamn anges tolkas det från källkodsträdets toppnivåkatalog.

-Fändringsloggformat
    Anger format på ändringsloggen. Se dpkg-parsechangelog(1) för information om alternativa format.

--format=värde
    Använd det givna formatet för att bygga källkodspaketet. Det överstyr inte ett eventuellt format som anges i debian/source/format.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Läs substitueringsvariabler från substvarfil; standardvärde är att inte läsa någon fil.Flaggan kan användas flera gånger för att läsa substitueringsvariabler från flera filer.

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-Zkomprimering, --compression=komprimering
    Specify the compression to use for created files (tarballs and diffs). Note that this option will not cause existing tarballs to be recompressed, it only affects new files. Supported values are: gzip, bzip2, lzma and xz. gzip is the default. xz is only supported since dpkg 1.15.5.

-znivå, --compression-level=nivå
    Komprimeringsnivå att använda. Som med -Z påverkas bara filer som nyskapas. Värden som stöds är: 1 till 9, best (bäst) och fast (snabb). 9 är förval för gzip och bzip2, 6 för xz och lzma.

-i[regex], --diff-ignore[=regex]
    You may specify a perl regular expression to match files you want filtered out of the list of files for the diff. (This list is generated by a find command.) (If the source package is being built as a version 3 source package using a VCS, this can be used to ignore uncommited changes on specific files. Using -i.* will ignore all of them.) The -i option by itself enables this setting with a default regex (preserving any modification to the default regex done by a previous use of --extend-diff-ignore) that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories. There can only be one active regex, of multiple -i options only the last one will take effect. This is very helpful in cutting out extraneous files that get included in the diff, e.g. if you maintain your source in a revision control system and want to use a checkout to build a source package without including the additional files and directories that it will usually contain (e.g. CVS/, .cvsignore, .svn/). The default regex is already very exhaustive, but if you need to replace it, please note that by default it can match any part of a path, so if you want to match the begin of a filename or only full filenames, you will need to provide the necessary anchors (e.g. '(^|/)', '($|/)') yourself.

--extend-diff-ignore=regex
    The perl regular expression specified will extend the default value used by --diff-ignore and its current value (if set). It does this by concatenating "|regex" to the existing value. This option is convenient to use in debian/source/options to exclude some auto-generated files from the automatic patch generation.

-I[filmönster], --tar-ignore[=filmönster]
    If this option is specified, the pattern will be passed to tar(1)'s --exclude option when it is called to generate a .orig.tar or .tar file. For example, -ICVS will make tar skip over CVS directories when generating a .tar.gz file. The option may be repeated multiple times to list multiple patterns to exclude. -I by itself adds default --exclude options that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories.

Note: While they have similar purposes, -i and -I have very different syntax and semantics. -i can only be specified once and takes a perl compatible regular expression which is matched against the full relative path of each file. -I can specified multiple times and takes a filename pattern with shell wildcards. The pattern is applied to the full relative path but also to each part of the path individually. The exact semantic of tar's --exclude option is somewhat complicated, see http://www.gnu.org/software/tar/manual/tar.html#wildcards for a full documentation. The default regex and patterns for both options can be seen in the output of the --help command.

  Generic extract options

--no-copy
    Kopiera inte original-tarbollar i närheten av det uppackade källkodspaketet.

--no-check
    Kontrollera inte signaturer och kontrollsummor före uppackning.

--require-valid-signature
    Vägra packa upp källkodspaketet om det inte innehåller en OpenPGP-signatur som kan verifieras antingen med användarens trustedkeys.gpg-nyckelring, en av de säljarspecifka nyckelringarna, eller en av de officiella Debiannyckelringarna (/usr/share/keyrings/debian-keyring.gpg och /usr/share/keyrings/debian-maintainers.gpg).

FORMAT PÅ KÄLLKODSPAKET
Om du inte vet vilket källkodspaketformat du skall använda, bör du antagligen välja antingen "3.0 (quilt)" eller "3.0 (native)". Se http://wiki.debian.org/Projects/DebSrc3.0 för information om hur dessa format sätts i produktion i Debian.

  Format: 1.0
Ett källkodspaket i detta format består antingen av en .orig.tar.gz, förbunden med en .diff.gz, eller en ensam .tar.gz (i så fall anses paketet vara eget, "native"). Uppackning Att packa upp ett Debianeget paket innebär att packa upp den ensamma tarbollen i målkatalogen. Att packa upp ett icke-eget paket innebär att först packa upp .orig.tar.gz-filen och sedan genom att tillämpa patchen som finns i .diff.gz-filen. Tidsstämplarna för alla filer nollställs till den tidpunkt då källkodspaketet extraherades (vilket undviker tidsstämpelförskjutningar som kunde leda till problem när autogenererade filer patchas). Diffen kan skapa nya filer (hela debian-katalogen skapas på det sättet), men kan inte ta bort filer (tomma filer kommer lämnas kvar). Bygga Att bygga ett Debianeget paket innebär bara att skapa en ensam tarboll med källkodskatalogen. Att bygga ett icke-eget paket innefattar att extrahera original-tarbollen i en separat ".orig"-katalog och skapa .diff.gz-filen på nytt genom att jämföra källkodspaketets katalog med .orig-katalogen. Byggflaggor (med -b): Om ett andra argument som inte är en flagga anges skall det vara namnet på originalkällkodskatalogen eller -tarfilen eller den tomma strängen om paketet är Debianspecifikt och därför inte har några Debianiserings-diffar. Om inget andra argument anges kommer dpkg-source att leta efter originalkällkodstarfilen paket_uppströmsversion.orig.tar.gz eller originalkällkodskatalogen paket.orig beroende på -sX-flaggorna. -sa, -sp, -sk, -su och -sr skriver inte över befintliga tar-filer och kataloger. Om det önskas bör -sA, -sP, -sK, -sU och -sR anges i stället.

-sk Anger att den ursprungliga källkoden är en tar-fil, som standard paket_uppströmsversion.orig.tar.filändelse. Den kommer låta originalkällkodsfilen ligga kvar som en tarfil, eller kopiera den till den aktuella katalogen om den inte redan är där. Tarbollen kommer att packas upp i katalog.orig för att generera diffen.

-sp Som -sk, men tar bort katalogen igen efteråt.

-su Anger att originalkällkoden är en katalog, som standard paket-uppströmsversion.orig och att dpkg-source skall skapa ett nytt originalkällkodsarkiv från den.

-sr Som -su, men tar bort katalogen när den har använts.

-ss Specifies that the original source is available both as a directory and as a tarfile. dpkg-source will use the directory to create the diff, but the tarfile to create the .dsc. This option must be used with care - if the directory and tarfile do not match a bad source archive will be generated.

-sn Anger att dpkg-source inte skall leta efter något källkodsarkiv och att ingen diff skall skapas. Det andra argumentet, om det anges, måste vara den tomma strängen. Flaggan används för Debianspecifika paket som inte har en separat uppströmskällkod och därför inte har någon debianiseringsdiff.

-sa eller -sA
    Anger att originalkällkoden finns som en katalog eller en tarfil - det andra argumentet, om det anges, kan vara det ena eller det andra, eller den tomma strängen (motsvarar att använda -sn). Om en tarfil hittas kommer programmet att packa upp den för att skapa en diff och ta bort den efteråt (motsvarar -sp). Om en katalog hittas kommer den att packas för att skapa originalkällkoden och ta bort den efteråt (motsvarar -sn). Om båda hittas kommer dpkg-source att ignorera katalogen, och skriva över den om -sA angavs (detta motsvarar -sP) eller ge ett felmeddelande om -sa angavs. -sA är standard.

--abort-on-upstream-changes
    Processen misslyckas om den genererade diffen innehåller ändringar av filer utanför underkatalogen debian. Den här flaggan tillåts inte i debian/source/options, men kan användas i debian/source/local-options. Extraheringsflaggor (med -x): Oavsett kommer ett befintligt källkodsträd att tas bort.

-sp Används när originalkällkoden som extraheras (om sådan finns) skall lämnas kvar som en tarfil. Om den inte redan finns i den aktuella katalogen, eller om en befintlig men annan fil finns där, kommer den att kopieras dit. (Detta är standard.)

-su Packar upp originalkällkodsträdet.

-sn Försäkrar att originalkällkoden varken kopieras till en aktuella katalogen eller packas upp. Eventuella originalkällkodsträd som finns i den aktuella katalogen tas fortfarande bort.

Alla -sX-flaggor är ömsesidigt uteslutande. Om du anger mer än en kommer endast den sista att användas.

--skip-debianization
    Hoppas över att tillämpa debian-diffen ovanpå uppströmskällkoden.

  Format: 2.0
Även känt som wig&pen. Detta format rekommenderas inte för allmän användning, formatet "3.0 (quilt)" ersätter det. Wig&pen var den första specifikationen av en ny generation av källkodspaketformat. Beteendet för detta format är detsamma som för "3.0 (quilt)"-formatet, förutom att det inte använder en explicit förteckning patchar. Alla filer i debian/patches/ som motsvarar det Perl-reguljära uttrycket [\w-]+ måste vara giltiga patchar: de appliceras när paketet packas upp. När du bygger ett nytt källkodspaket kommer eventuella ändringar på uppströmskällkoden att lagras i en patch som kallas zz_debian-diff-auto.

  Format: 3.0 (eget)
Detta format är en utökning av det egna paketformatet som anges av 1.0-formatet. Det stöder alla komprimeringsmetoder och kommer att som standard ignorera alla VCS-specifika filer och kataloger, samt många temporärfiler (se standardvärdet som är knutet till flaggan -i i texten för --help).

  Format: 3.0 (quilt)
A source package in this format contains at least an original tarball (.orig.tar.ext where ext can be gz, bz2, lzma and xz) and a debian tarball (.debian.tar.ext). It can also contain additional original tarballs (.orig-component.tar.ext). component can only contain alphanumeric characters and hyphens ("-").

Uppackning

Huvud-originaltarbollen packas upp först, därefter packas alla ytterligare originaltarbollar upp i underkataloger med namn efter komponent-delen i sitt filnamn (eventuella redan befintliga kataloger ersätts). Debian-tarbollen packas sedan upp ovanpå källkodskatalogen efter att en redan befintlig debian-katalog har tagits bort först. Observera att debian-tarbollen måste bestå av en debian-underkatalog, men att den även kan innehålla binärfiler utanför den katalogen (se flaggan --include-binaries).

All patches listed in debian/patches/debian.series or debian/patches/series are then applied. If the former file is used and the latter one doesn't exist (or is a symlink), then the latter is replaced with a symlink to the former. This is meant to simplify usage of quilt to manage the set of patches. Note however that while dpkg-source parses correctly series files with explicit options used for patch application (stored on each line after the patch filename and one or more spaces), it does ignore those options and always expect patches that can be applied with the -p1 option of patch. It will thus emit a warning when it encounters such options, and the build is likely to fail.

Contrary to quilt's default behaviour, patches are expected to apply without any fuzz. When that is not the case, you should refresh such patches with quilt, or dpkg-source will error out while trying to apply them.

Similarly to quilt's default behaviour, the patches can remove files too.

Filen .pc/applied-patchers skapas om patchar tillämpades vid uppackningen.

Bygga

All original tarballs found in the current directory are extracted in a temporary directory by following the same logic as for the unpack, the debian directory is copied over in the temporary directory, and all patches except the automatic patch (debian-changes-version or debian-changes, depending on --single-debian-patch) are applied. The temporary directory is compared to the source package directory. When the diff is non-empty, the build fails unless --single-debian-patch or --auto-commit has been used, in which case the diff is stored in the automatic patch. If the automatic patch is created/deleted, it's added/removed from the series file and from the quilt metadata. Eventuella ändringar på binärfiler kan inte representeras i en diff och kommer därmed att leda till ett felmeddelande, såvida inte paketansvariga medvetet väljer att inkludera den modifierade binärfilen i debian-tarbollen (genom att lista den i debian/source/include-binaries). Byggningen kommer även att misslyckas om binärfiler upptäcks i debian-underkatalogen, såvida de inte har vitlistats i debian/source/include-binaries. Den uppdaterade debiankatalogen, och listan över modifierade binärer, används sedan för att skapa debian-tarbollen. The automatically generated diff doesn't include changes on VCS specific files as well as many temporary files (see default value associated to -i option in the --help output). In particular, the .pc directory used by quilt is ignored during generation of the automatic patch. Observera: dpkg-source --before-build (och -b) ser till att alla patchar som anges i seriefilen tillämpas så att paketbygget alltid har alla patchar tillämpade. Detta görs genom att hitta alla icke-tillämpade patchar (som anges i filen series men inte i .pc/applied-patches), och om den första patchen i listan kan tillämpas utan fel kommer samtliga att tillämpas. Flaggan --no-preparation kan användas för att slå av detta beteende.

Lagra ändringar

--commit [katalog] [patchnamn] [patch-fil]
    Generates a patch corresponding to the local changes that are not managed by the quilt patch system and integrates it in the patch system under the name patch-name. If the name is missing, it will be asked interactively. If patch-file is given, it is used as the patch corresponding to the local changes to integrate. Once integrated, an editor is launched so that you can edit the meta-information in the patch header. Det är oftast nyttigt att sända med patchfil efter att ett bygge där filen skapats i förväg misslyckas, och att patchfilen därför skall tas bort efter integrering. Observera även att ändringarna som finns i patchfilen redan måste ha applicerats på trädet och att filerna som modifieras av patchen inte får innehålla ytterligare ej beskrivna ändringar. Om genereringen av patchar upptäcker ändringar i binärfiler kommer de automatiskt att läggas in i debian/source/include-binaries så att de dyker upp i debian-tarbollen (precis som dpkg-source --include-binaries -b skulle gjort).

Byggflaggor

--allow-version-of-quilt-db=version
    Allow dpkg-source to build the source package if the version of the quilt metadata is the one specified, even if dpkg-source doesn't know about it. Effectively this says that the given version of the quilt metadata is compatible with the version 2 that dpkg-source currently supports. The version of the quilt metadata is stored in .pc/.version.

--include-removal
    Ignorera inte borttagna filer och ta med dem i den automatiskt genererade patchen.

--include-timestamp
    Ta med tidsstämpel i den automatiskt genererade patchen.

--include-binaries
    Lägg till alla modifierade binärer i debian-tarbollen. Lägg även till dem i debian/source/include-binaries: de kommer att läggas till som standard i följande byggen och du behöver inte längre ange den här flaggan.

--no-preparation
    Försök inte att förbereda byggträdet genom att tillämpa patchar som inte verkar ha tillämpas för närvarande.

--single-debian-patch
    Använd debian/patches/debian-changes istället för debian/patches/debian-changes-version som namn på den automatiska patch som genereras vid bygget. Denna flagga är speciellt nyttig när paketet hanteras i ett versionshanteringssystem och en patch inte kan skapas på ett pålitligt sätt. Den aktuella diffen mot uppströms lagras istället i en ensam patch. Flaggan bör anges i debian/source/local-options och följs av filen debian/source/local-patch-header som beskricer hur Debianändringarna bäst kan ses, till exempel i det versionshanteringssystem som används.

--create-empty-orig
    Skapa huvud-originaltarbollen som tom automatiskt om den saknas och om det finns supplement-originaltarbollar. Flaggan är tänkt att användas när källkodspaketet bara är en samling av flera uppströmsprogram och där det inte finns något "huvud"-program.

--no-unapply-patches, --unapply-patches
    By default, dpkg-source will automatically unapply the patches in the --after-build hook if it did apply them during --before-build. Those options allow you to forcefully disable or enable the patch unapplication process. Those options are only allowed in debian/source/local-options so that all generated source packages have the same behavior by default.

--abort-on-upstream-changes
    The process fails if an automatic patch has been generated. This option can be used to ensure that all changes were properly recorded in separate quilt patches prior to the source package build. This option is not allowed in debian/source/options but can be used in debian/source/local-options.

--auto-commit
    The process doesn't fail if an automatic patch has been generated, instead it's immediately recorded in the quilt series.

Extraheringsflaggor

--skip-debianization
    Hoppas över att packa upp debian-tarbollen ovanpå uppströmskällkoden.

--skip-patches
    Applicera inte patchar i slutet av uppackningen.

  Format: 3.0 (skräddarsytt)
Detta formatet är speciellt. Det anger inte ett riktigt källkodspaketformat, utan kan användas för att skapa källkodspaket med godtyckliga filer.

Byggflaggor

Alla argument som inte är flaggor tas som filer som skall integreras i det skapade källkodspaketet. De måste finnas, och helst i aktuell katalog. Åtminstone en fil måste anges.

--target-format=värde
    Required. Defines the real format of the generated source package. The generated .dsc file will contain this value in its Format field and not "3.0 (custom)".

  Format: 3.0 (git)
Formatet är experimentellt.

Ett källkodspaket i detta format består av en ensam "bundle" från ett git-arkiv .git, vilket innehåller paketets källkod. Filen .gitshallow, som innehåller revisioner för grunda git-kloner, kan även förekomma.

Uppackning

"Bundle":n klonas som ett git-arkiv till målkatalogen. Om filen gitshallow finns installeras den som ".git/shallow" i det klonade git-arkivet.

Observera att det nya arkivet som standard kommer att ha samma gren utcheckad som den som var utcheckad i det ursprungliga källkodsträdet. (Typiskt "master", men kan vara vad som helst.) Eventuella andra grenar kommer också att vara tillgängliga, under "remotes/origin/".

Bygga

Innan uppackningen fortsätter kommer en del tester att utföras för att se till att vi inte har några ej ignorerade ej incheckade ändringar.

git-bundle(1) används för att generera en "bundle" från git-arkivet. Som standard tas alla grenar och taggar i arkivet med i "bundle":n.

Byggflaggor

--git-ref=ref
    Allows specifying a git ref to include in the git bundle. Use disables the default behavior of including all branches and tags. May be specified multiple times. The ref can be the name of a branch or tag to include. It may also be any parameter that can be passed to git-rev-list(1). For example, to include only the master branch, use --git-ref=master. To include all tags and branches, except for the private branch, use --git-ref=--all --git-ref=^private

--git-depth=antal
    Skapar en grund klon med en historik som är avhuggen vid det angivna antalet revisioner.

  Format: 3.0 (bzr)
Detta format är experimentellt. Det genererar en ensam tarboll som innehåller bzr-arkivet.

Uppackning

Tarbollen packas upp och bzr används sedan för att hämta ut den aktuella grenen.

Bygga

Innan uppackningen fortsätter kommer en del tester att utföras för att se till att vi inte har några ej ignorerade ej incheckade ändringar.

De VCS-specifika delarna av källkodskatalogen kommer därefter att kopieras över till en temporär katalog. Innan den temporära katalogen packas i en tarboll utförs viss städning för att spara plats.

DIAGNOSTIK

  källkodsformat ej angivet i debian/source/format
The file debian/source/format should always exist and indicate the desired source format. For backwards compatibility, format "1.0" is assumed when the file doesn't exist but you should not rely on this: at some point in the future dpkg-source will be modified to fail when that file doesn't exist. Resonemanget bakom detta är att formatet "1.0" inte längre är det rekommenderade formatet, du bör normalt välja ett av de nyare formaten ("3.0 (quilt)", "3.0 (native)"), men dpkg-source gör inte detta automatiskt åt dig. Om du vill fortsätta använda det gamla formatet bör du ange det explicit genom att skriva "1.0" i debian/source/format.

  diffen modifierar följande uppströmsfiler
När du använder källkodsformatet "1.0" är det oftast inte någon bra idé att modifiera uppströmsfiler direkt eftersom ändringarna döljs och i huvudsak är odokumenterade i diff.gz-filen. Du bör istället spara dina ändringar som patchar i debian-katalogen och applicera dem när paketet skall byggas. För att undvika den här komplexiteten kan du även använda formatet "3.0 (quilt)" som låter dig göra det här automatiskt.

  kan inte representera ändringen för fil
Ändringar på uppströmsfiler sparas normalt som patchfiler, men inte alla ändringar kan representeras med patchar: de kan endast ändra innehållet i vanliga textfiler. Om du försöker ersätta en fil med något som har en annan typ (till exempel ersätta en vanlig fil med en symbolisk länk eller en katalog) får du det här felmeddelandet.

  den tomma filen fil som just skapats kommer inte representeras i diffen
Tomma filer kan inte skapas med patchfiler. Ändringen kommer därmed inte att sparas i källkodspaketet och du får en varning om det.

  exekveringsläge läge på fil kommer inte representeras i diffen
Patch files do not record permissions of files and thus executable permissions are not stored in the source package. This warning reminds you of that fact.

  specialläget läge på fil kommer inte representeras i diffen
Patchfiler beskriver inte läget på filer och ändrade lägen sparas inte i källkodspaketet. Den här varningen påminner dig om detta.

FILFORMAT

  debian/source/format
Filen innehåller på en ensam rad det format som skall användas för att bygga källkodspaketet (möjliga format beskrivs ovan). Varken ledande eller avslutande blanksteg tillåts.

  debian/source/include-binaries
Filen innehåller en förteckning över binärfiler (en per rad) som skall tas med i debian-tarbollen. Inledande och avslutande blanksteg tas bort. Rader som börjar med "#" är kommentarer och hoppas över. Tomma rader ignoreras.

  debian/source/options
Filen innehåller en lista över långa flaggor som automatiskt sätts in före kommandoradsflaggorna som anges i ett anrop til dpkg-source -b eller dpkg-source --print-format. Flaggor som --compression och --compression-level är passande att lägga in i den här filen.

Ange varje flagga på en egen rad. Tomma rader och rader som börjar med "#" ignoreras. Inledande "--" skall tas bort och korta flaggor är inte tillåtna. Blanksteg tillåts runt "="-tecknet och citattecken tillåts runt värdet. Här är ett exempel på en sådan fil:

  # låt dpkg-source skapa en debian.tar.bz2 med maximal komprimering
  compression = "bzip2"
  compression-level = 9
  # använd debian/patches/debian-changes som en automatisk patch
  single-debian-patch
  # ignorera ändringar i config.{sub,guess}
  extend-diff-ignore = "(^|/)(config.sub|config.guess)$"

Observera: format-flaggor tillåts inte i den här filen, du bör använda filen debian/source/format istället.

  debian/source/local-options
Precis som debian/source/options förutom att filen inte inkluderas i det genererade källkodspaketet. Det kan vara användbart för att spara ett val som gäller för paketansvariga eller VCS-systemet källkodspaketet hanteras i.

  debian/source/local-patch-header and debian/source/patch-header
Friformstext som läggs in på toppen av den automatiskt genererade patchen i formaten "2.0" eller "3.0 (quilt)". local-patch-header tas inte med i det genererade källkodspaketet medan patch-header tas med.

  debian/patches/series
This file lists all patches that have to be applied (in the given order) on top of the upstream source package. Leading and trailing spaces are stripped. Lines starting with "#" are comments and are skipped. Empty lines are ignored. Remaining lines start with a patch filename (relative to the debian/patches/ directory) up to the first space character or the end of line. Optional quilt options can follow up to the end of line or the first "#" preceded by one or more spaces (which marks the start of a comment up to the end of line).

PROGRAMFEL
Tidpunkten på fältöverstyrning inträffar jämfört med inställning av vissa standardutdatafält är ganska förvirrad.

SE ÄVEN
dpkg-deb(1), dpkg(1), dselect(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.